<?php
        include "vars.php";
        $PAGE_TITLE="Installation - Cacti Plugin";
        include "common-page-head.php";
?>

            <h2>Installation</h2>

            <h3>Cacti plugin</h3>

            <h4>Requirements</h4>

            <p><strong>Before</strong> doing anything else, please verify that your
            <a href = "http://cactiusers.org/">Plugin Architecture</a> is working
            properly with a simpler plugin, like
            <a href = "http://wotsit.thingy.com/haj/cacti/links-plugin.html">Links</a> or
            <a href = "http://cactiusers.org/">Tools</a>. Weathermap is relatively
            complex, and fault-finding both your Cacti Plugin Architecture and
            Weathermap at the same time will make life harder for you!</p>

            <p>You will need the 'pcre' and 'gd' PHP modules in
            <em>your command-line PHP</em>. The poller-process runs using the
            command-line PHP which is not always the same as the server-side one. In
            some situations it is possible to have two completely different PHP
            installations serving these two
            - if you install from a package, then re-install from source, but to a
            different directory, for example. The poller process should warn you if the
            part it needs is not present.</p>

            <p>Before you start using it, you might want to change one PHP setting.
            Weathermap uses a fair bit of memory by PHP standards, as it builds the
            image for the map in memory before saving it. As a result, your PHP process
            <i>may</i> run out of memory. PHP has a 'safety valve' built-in, to stop
            runaway scripts from killing your server, which defaults to 8MB in most
            versions (this has changed in 5.2.x). This is controlled by the
            'memory_limit =' line in php.ini. You may need to increase this to 32MB or
            even more if you have problems. In fact, the current Cacti manual suggests
            128MB. These problems will typically show up as the poller process just
            dying with no warning or error message, as PHP kills the script.</p>

            <h4>Installation</h4>

            <p>To use the Cacti plugin, you
            <i>must</i> unpack the zip file into a directory called
            '<i>&lt;cacti_root&gt;</i>/plugins/weathermap'. The zip contains a folder
            called 'weathermap' already, so unzipping it in the plugins folder should do
            the job.</p>

            <p>You can then use the pre-install checker to see if your PHP environment
            has everything it needs. To do this, you need to run a special
            <tt>check.php</tt> script, twice...</p>

            <p>First, go to http://yourcactiserver/plugins/weathermap/check.php to see
            if your webserver PHP (mod_php, ISAPI etc) is OK. Then, from a
            command-prompt run
            <tt>php check.php</tt> to see if your command-line PHP is OK. If any modules
            or functions are missing, you will get a warning, and an explanation of what
            will be affected (not all of the things that are checked are deadly
            problems).</p>

            <h4>File Permissions</h4>

            <p>
            You will need to change the permissions on the
            <tt>output</tt> directory, so that the Cacti poller process can write to it.
            This is the same as you would have done for the
            <tt>rra</tt> directory while installing Cacti itself originally. For a *nix
            system, it will be something like:

            <div class = "shell">
                <pre>
                                chown cactiuser output
</pre>
            </div>

            <h4>Getting Started</h4>

    <p>Log in to the Cacti application, and go to the Plugin Management page.
        You should see the Weathermap plugin as an uninstalled plugin. Click the 'install' icon
        next to its name, and then click the 'enable' icon that appears next to that. If you are logged in
        as the 'admin' user, you should see the 'Weathermap' tab appear at the top of the Cacti page.</p>

    <p>That's it! The Weathermap plugin is installed. </p>
    <p>To allow other users to see it, you need to go to the User Management page in Cacti, and grant those users
        the extra permissions that should appear there now, to either View Weathermaps (for customers) and/or Manage Weathermaps (for admin users).</p>

    <p>To go further, you need
            some weathermap configuration files to define your maps. You can do this in
            two ways
            - using the Web-based map editor, or by editing the text-based configuration
            files directly.</p>

            <p>To use the editor, you need to make a few more changes. </p>

            <p>To learn more about actually <i>using</i> the Cacti plugin, see the
            <a href = "cacti-plugin.html">Cacti Plugin page</a>.</p>

<?php
        include "common-page-foot.php";
